org.apache.ignite.internal.processors.cache.distributed.dht.preloader

## Class GridDhtPartitionFullMap

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<UUID,GridDhtPartitionMap2>
    - - org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtPartitionFullMap

All Implemented Interfaces:
  Externalizable, Serializable, Cloneable, Comparable<GridDhtPartitionFullMap>, Map<UUID,GridDhtPartitionMap2>

    public class GridDhtPartitionFullMap
    extends HashMap<UUID,GridDhtPartitionMap2>
    implements Comparable<GridDhtPartitionFullMap>, Externalizable

Full partition map.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`GridDhtPartitionFullMap()` Empty constructor required for `Externalizable`.
`GridDhtPartitionFullMap(GridDhtPartitionFullMap m, long updateSeq)`
`GridDhtPartitionFullMap(UUID nodeId, long nodeOrder, long updateSeq)`
`GridDhtPartitionFullMap(UUID nodeId, long nodeOrder, long updateSeq, Map<UUID,GridDhtPartitionMap2> m)` Deprecated.
`GridDhtPartitionFullMap(UUID nodeId, long nodeOrder, long updateSeq, Map<UUID,GridDhtPartitionMap2> m, boolean onlyActive)`

### Method Summary

Methods
`int` `compareTo(GridDhtPartitionFullMap o)`
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `map2string()`
`UUID` `nodeId()`
`long` `nodeOrder()`
`boolean` `partitionStateEquals(GridDhtPartitionFullMap fullMap)`
`void` `readExternal(ObjectInput in)`
`String` `toFullString()`
`String` `toString()`
`long` `updateSequence()`
`long` `updateSequence(long updateSeq)`
`boolean` `valid()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.util.HashMap

`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridDhtPartitionFullMap

    public GridDhtPartitionFullMap(UUID nodeId,
                           long nodeOrder,
                           long updateSeq)

Parameters:
  `nodeId` - Node ID.
  `nodeOrder` - Node order.
  `updateSeq` - Update sequence number.

#### GridDhtPartitionFullMap

    @Deprecated
    public GridDhtPartitionFullMap(UUID nodeId,
                                      long nodeOrder,
                                      long updateSeq,
                                      Map<UUID,GridDhtPartitionMap2> m)

Deprecated.

Parameters:
  `nodeId` - Node ID.
  `nodeOrder` - Node order.
  `updateSeq` - Update sequence number.
  `m` - Map to copy.

#### GridDhtPartitionFullMap

    public GridDhtPartitionFullMap(UUID nodeId,
                           long nodeOrder,
                           long updateSeq,
                           Map<UUID,GridDhtPartitionMap2> m,
                           boolean onlyActive)

Parameters:
  `nodeId` - Node ID.
  `nodeOrder` - Node order.
  `updateSeq` - Update sequence number.
  `m` - Map to copy.
  `onlyActive` - If `true`, then only active partitions will be included.

#### GridDhtPartitionFullMap

    public GridDhtPartitionFullMap(GridDhtPartitionFullMap m,
                           long updateSeq)

Parameters:
  `m` - Map to copy.
  `updateSeq` - Update sequence.

#### GridDhtPartitionFullMap

    public GridDhtPartitionFullMap()

Empty constructor required for `Externalizable`.

### Method Detail

#### valid

    public boolean valid()

Returns:
  `True` if properly initialized.

#### nodeId

    public UUID nodeId()

Returns:
  Node ID.

#### nodeOrder

    public long nodeOrder()

Returns:
  Node order.

#### updateSequence

    public long updateSequence()

Returns:
  Update sequence.

#### partitionStateEquals

    public boolean partitionStateEquals(GridDhtPartitionFullMap fullMap)

Parameters:
  `fullMap` - Map.
Returns:
  `True` if this map and given map contain the same data.

#### updateSequence

    public long updateSequence(long updateSeq)

Parameters:
  `updateSeq` - New update sequence value.
Returns:
  Old update sequence value.

#### compareTo

    public int compareTo(GridDhtPartitionFullMap o)

Specified by:
  `compareTo` in interface `Comparable<GridDhtPartitionFullMap>`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### equals

    public boolean equals(Object o)

Specified by:
  `equals` in interface `Map<UUID,GridDhtPartitionMap2>`
Overrides:
  `equals` in class `AbstractMap<UUID,GridDhtPartitionMap2>`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `Map<UUID,GridDhtPartitionMap2>`
Overrides:
  `hashCode` in class `AbstractMap<UUID,GridDhtPartitionMap2>`

#### map2string

    public String map2string()

Returns:
  Map string representation.

#### toFullString

    public String toFullString()

Returns:
  Full string representation.

#### toString

    public String toString()

Overrides:
  `toString` in class `AbstractMap<UUID,GridDhtPartitionMap2>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016